%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate quinn

Name:           rust-quinn
Version:        0.10.2
Release:    	1%{?dist}
Summary:        Versatile QUIC transport protocol implementation

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/quinn
Source0:        %{crates_source}
Source1:        https://github.com/quinn-rs/quinn/raw/0.10.0/LICENSE-APACHE
Source2:        https://github.com/quinn-rs/quinn/raw/0.10.0/LICENSE-MIT

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Versatile QUIC transport protocol implementation.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-io-devel %{_description}

This package contains library source intended for building other packages which
use the "async-io" feature of the "%{crate}" crate.

%files       -n %{name}+async-io-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-std-devel %{_description}

This package contains library source intended for building other packages which
use the "async-std" feature of the "%{crate}" crate.

%files       -n %{name}+async-std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-io-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-io" feature of the "%{crate}" crate.

%files       -n %{name}+futures-io-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lock_tracking-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lock_tracking-devel %{_description}

This package contains library source intended for building other packages which
use the "lock_tracking" feature of the "%{crate}" crate.

%files       -n %{name}+lock_tracking-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-certs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-certs-devel %{_description}

This package contains library source intended for building other packages which
use the "native-certs" feature of the "%{crate}" crate.

%files       -n %{name}+native-certs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ring-devel %{_description}

This package contains library source intended for building other packages which
use the "ring" feature of the "%{crate}" crate.

%files       -n %{name}+ring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+runtime-async-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+runtime-async-std-devel %{_description}

This package contains library source intended for building other packages which
use the "runtime-async-std" feature of the "%{crate}" crate.

%files       -n %{name}+runtime-async-std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+runtime-tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+runtime-tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "runtime-tokio" feature of the "%{crate}" crate.

%files       -n %{name}+runtime-tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls-rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls-rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "tls-rustls" feature of the "%{crate}" crate.

%files       -n %{name}+tls-rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp -pav %{SOURCE1} %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.2-1
- initial build
